Skip to main content
GET
/
api
/
v2
/
alpha
/
tokens
/
{tokenAddress}
/
mentions
cURL
curl --request GET \
  --url https://api.shuriken.trade/api/v2/alpha/tokens/{tokenAddress}/mentions \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "chain": "<string>",
    "mentions": [
      {
        "messageId": "<string>",
        "platform": "<string>",
        "timestamp": 123,
        "authorUsername": "<string>",
        "channelId": "<string>",
        "guildId": "<string>",
        "marketCapUsdAtMention": "<string>",
        "priceUsdAtMention": "<string>"
      }
    ],
    "tokenAddress": "<string>",
    "totalMentions": 1,
    "firstSeenAt": 123,
    "lastSeenAt": 123,
    "tokenSymbol": "<string>"
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shuriken.trade/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Path Parameters

tokenAddress
string
required

Token address (mint for SVM, contract for EVM)

Query Parameters

limit
integer<int32>

Maximum mentions to return

Required range: x >= 0

Response

Token mention history

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)